J.P. Morgan Business Direct Connect
Changelog
This page includes updates introduced in J.P. Morgan Business Direct Connect.
Version 6.5.4 | October 14, 2026
| Summary | Description |
|---|---|
appWebsiteURI and appSupportedProducts |
Added two optional fields for partner onboarding that populate additional application details on the Third Party Apps Search page:
|
Version 6.5.3 | September 17, 2026
This release updates the specification and mock responses to align with FDX schemas and adds validation rules and error scenarios to help you test and troubleshoot integrations more effectively.
Added
| Summary | Description |
|---|---|
| Pagination link types | Added the types array (["application/json"]) to pagination links in /transactions and /statements mock responses to align with the FDX HateoasLink schema. |
| Account mock responses | Added pagination links to GET /accounts mock responses and the businessCustomer object to the GET /accounts/{accountId}/contact mock response. |
| Transaction mock responses | Removed the undeclared currency object from transaction mock responses and updated transactionTimestamp values to use RFC 3339 format with a UTC (Z) timezone. |
| Balance timestamp | Updated balanceAsOf values to use RFC 3339 datetime format instead of a date-only value. |
| Payment network schema | Added the bankIdType property to the AccountPaymentNetwork schema. |
| Date query parameters | Added support for the startDate and endDate query parameters on the /transactions and /statements endpoints. |
| Mutually exclusive parameters | Added validation errors when startDate/endDate are used with startTime/endTime, or when offset is used with pageKey. |
| Statement date thresholds | Added date threshold validation errors (703/16005 and 703/16006) to the /statements endpoint. |
| Bad request responses | Updated the /statements and /transactions 400 response schemas to use the Error schema, aligning the specification with the API implementation. |
| Mock error responses | Added mock response error scenarios for date parameter conflicts and pagination parameter conflicts. |
| Endpoint descriptions | Updated endpoint descriptions to include validation rules, default behaviors, and usage constraints. |
Version 6.5.1 | July 23, 2026
New
| Summary | Description |
|---|---|
| Added FDX headers | The API has been updated to comply with FDX API v6.5 by supporting the following request headers (as applicable per endpoint): FDX-API-Client-Public-Key, FDX-API-Data-Provider-Id, and FDX-API-Data-Recipient-Id. |
Added pageKey |
Added pageKey for pagination object. |
New attributes by endpoint
| Endpoint | Change type | Attribute name |
|---|---|---|
/accounts |
Header | FDX-API-Client-Public-Key |
/accounts |
Header | FDX-API-Data-Provider-Id |
/accounts |
Header | FDX-API-Data-Recipient-Id |
/accounts |
Pagination | pagekey |
/accounts/{accountId} |
Header | FDX-API-Client-Public-Key |
/accounts/{accountId} |
Header | FDX-API-Data-Provider-Id |
/accounts/{accountId} |
Header | FDX-API-Data-Recipient-Id |
/accounts/{accountId}/transactions |
Header | FDX-API-Client-Public-Key |
/accounts/{accountId}/transactions |
Header | FDX-API-Data-Provider-Id |
/accounts/{accountId}/transactions |
Header | FDX-API-Data-Recipient-Id |
/accounts/{accountId}/transactions |
Pagination | pagekey |
/accounts/{accountId}/payment-networks |
Header | FDX-API-Client-Public-Key |
/accounts/{accountId}/payment-networks |
Header | FDX-API-Data-Provider-Id |
/accounts/{accountId}/payment-networks |
Header | FDX-API-Data-Recipient-Id |
/accounts/{accountId}/statements |
Header | FDX-API-Data-Provider-Id |
/accounts/{accountId}/statements |
Header | FDX-API-Data-Recipient-Id |
/accounts/{accountId}/statements |
Pagination | pagekey |
/accounts/{accountId}/statements/{statementId} |
Header | FDX-API-Client-Public-Key |
/accounts/{accountId}/statements/{statementId} |
Header | FDX-API-Data-Provider-Id |
/accounts/{accountId}/statements/{statementId} |
Header | FDX-API-Data-Recipient-Id |
/accounts/{accountId}/contact |
Header | FDX-API-Client-Public-Key |
/accounts/{accountId}/contact |
Header | FDX-API-Data-Provider-Id |
/accounts/{accountId}/contact |
Header | FDX-API-Data-Recipient-Id |
Deprecated
| Summary | Description |
|---|---|
| Deprecated pagination on the payment-networks endpoint | Pagination for the payment-networks API is deprecated per FDX API v6.5, while preserving backward compatibility for v6.2 implementations. |
| Deprecated offSet-based pagination on paginated endpoints | The offSet pagination parameter is deprecated on endpoints where v6.5 pageKey-based pagination is supported. |
Deprecated attributes by endpoint
| Endpoint | Deprecated Item | Notes |
|---|---|---|
/accounts |
offset |
Deprecated in favor of pageKey |
/accounts/{accountId}/transactions |
offset |
Deprecated in favor of pageKey |
/accounts/{accountId}/statements |
offset |
Deprecated in favor of pageKey |
/accounts/{accountId}/payment-networks |
pagination |
Pagination deprecated for this endpoint. Pagination has backward compatability (v6.2). |
Version 6.2.19 | June 11, 2026
Added
The following features are included in this release.
| Summary | Description |
|---|---|
| Correction to balances response | Known issue: Business Direct Connect may return a value of 0 for closingLedgerBalance, which is incorrect, since by default only current and opening balances are meaningful for current-day balances. |
| Account open date | Accounts list and details calls now return the account open date. Known issues (to be fixed in a future release):
|
| JWKS URI | Partner onboarding now supports JWKS URI-based authentication in addition to certificate-based authentication. If a JWKS URI is provided, a certificate is no longer required. |
| App message optional | The application message is now optional in the application onboarding template. If provided, it will be displayed as a message from the application to the user within the consent flow. If omitted, no message is shown to the user. |
| Partner and application templates version change to 4.0 | With the inclusion of jwksUri in the partner template, and by making appMessage optional in the application template, the template version is updated to 4.0 and must be specified as such after Jun 11. |
| Payment network type | As of the April release, the Payment Networks call returns the payment network type. |
| Support for USER actor type | As of the April release, Business Direct Connect also supports the USER actor type, which should be used when the call is made in the context of a user being present. |
Version 6.2.16 | April 15, 2026
Added
The following features are included in this release.
| Summary | Description |
|---|---|
| Account information | Use the account information capability to retrieve details for accounts a user has consented to share through J.P. Morgan Business Direct Connect. |
| Account transactions | Retrieve transactions from the consented accounts to aid use cases such as accounts reconciliation, and cash flow reporting. Transactions contain the Bank Administration Institute codes (BAI) codes to permit easy categorization. |
| Account statements | Retrieve statements for accounts a user has consented to share, supporting use cases such as month-end account reconciliation. |
| Full account number | Retrieve the full account number for a given account. Use it for verification or to set up money movement use cases. |
| Account owner information | Retrieve account owner name and contact information such as address, email or phone for a given account to use for verification of account ownership. |